; Configuration file for Duet WiFi (firmware version 3)
; executed by the firmware on start-up
; generated by RepRapFirmware Configuration Tool v3.1.3 on Sat Jul 11 2020 22:57:28 GMT+0200 (heure d’été d’Europe centrale)

; General preferences
G90                                                    ; send absolute coordinates...
M83                                                    ; ...but relative extruder moves
M550 P"FoldaRap"                                       ; set printer name

; Network
M552 S1                                                ; enable network
M586 P0 S1                                             ; enable HTTP
M586 P1 S0                                             ; disable FTP
M586 P2 S0                                             ; disable Telnet

; Drives
M569 P0 S1                                             ; physical drive 0 goes forwards X
M569 P1 S1                                             ; physical drive 1 goes forwards Y
M569 P2 S0                                             ; physical drive 2 goes backwards Z
M569 P3 S0                                             ; physical drive 3 goes backwards E
M584 X0 Y1 Z2 E3                                       ; set drive mapping
M350 X32 Y32 Z32 E32 I0                                ; configure microstepping without interpolation
M92 X305.50 Y160.80 Z305 E280                          ; set steps per mm
M566 X600 Y600 Z300 E300                               ; set maximum instantaneous speed changes (mm/min) 600mm/min=10mm/s 300mm/min=5mm/s
M203 X6000 Y6000 Z1500 E3000                           ; set maximum speeds (mm/min) 6000mm/min=100mm/s 1500mm/min=25mm/s 3000mm/min=50mm/s
M201 X600 Y600 Z300 E1000                              ; set accelerations (mm/s^2) 600mm/s=36000mm/min 300mm/s=18000mm/min 1000mm/s=60000mm/min
M906 X1250 Y730 Z1420 E1150                            ; set motor currents (mA)
M84 S0                                                 ; Disable motor idle current reduction

; Axis Limits
M208 X0 Y0 Z0 S1                                       ; set axis minima
M208 X142 Y145 Z142 S0                                 ; set axis maxima

; Endstops
M574 X1 S1 P"xstop"                                    ; configure active-high endstop for low end on X via pin xstop
M574 Y1 S1 P"ystop"                                    ; configure active-high endstop for low end on Y via pin ystop

; Z-Probe
M558 P0 H5 F120 T6000                                  ; disable Z probe but set dive height, probe speed and travel speed
M557 X20:120 Y20:120 S20                               ; define mesh grid

; Heaters
M308 S0 P"bedtemp" Y"thermistor" T100000 B4092         ; configure sensor 0 as thermistor on pin bedtemp
M950 H0 C"bedheat" T0                                  ; create bed heater output on bedheat and map it to sensor 0
;M307 H0 B1 S1.00                                      ; initial value = enable bang-bang mode (B1) for the bed heater and set PWM limit (S)
M307 H0 A165.3 C465.1 D0.5 V11.8 B0 S1.00              ; after auto-tuning @70°C, gain(A)165.3 constant(C)465.1 dead time (D)0.5 voltage(V)11.8 in PWM mode (B0) at full power (S)
M140 H0                                                ; map heated bed to heater 0
M143 H0 S150                                           ; set temperature limit for heater 0 to 150C
M308 S1 P"e0temp" Y"thermistor" T100000 B4725 C7.06e-8 ; configure sensor 1 as thermistor on pin e0temp
M950 H1 C"e0heat" T1                                   ; create nozzle heater output on e0heat and map it to sensor 1
M307 H1 A254.0 C146.5 D3.5 V11.9 B0 S1.00              ; after auto-tuning @220°C with fan0 ON, gain 254.0, time constant 146.5, dead time 3.5, max PWM 1.00, calibration voltage 11.9, mode PID
;M570 H1 P10 T15                                        ; heater fault detection, (P)eriod in second, (T)emperature deviation in °C
M302 S155 R90                                          ; minimum extrude temp 155°C retract 90°C

; Fans
M950 F0 C"fan0" Q500                                   ; create fan 0 on pin fan0 and set its frequency
M106 P0 S0 H-1                                         ; set fan 0 value. Thermostatic control is turned off
M950 F1 C"fan1" Q500                                   ; create fan 1 on pin fan1 and set its frequency
M106 P1 S1 H1 T55                                      ; set fan 1 value. Thermostatic control is turned on

; Tools
M563 P0 D0 H1 F0                                       ; define tool 0
G10 P0 X0 Y0 Z0                                        ; set tool 0 axis offsets
G10 P0 R0 S0                                           ; set initial tool 0 active and standby temperatures to 0C

; Custom settings are not defined