; Configuration file for Duet WiFi (firmware version 3)
; executed by the firmware on start-up
;
; generated by RepRapFirmware Configuration Tool v3.1.3 on Sat Jul 11 2020 22:57:28 GMT+0200 (heure d’été d’Europe centrale)

; General preferences
G90                                                    ; send absolute coordinates...
M83                                                    ; ...but relative extruder moves
M550 P"FoldaRap"                                       ; set printer name

; Network
M552 S1                                                ; enable network
M586 P0 S1                                             ; enable HTTP
M586 P1 S0                                             ; disable FTP
M586 P2 S0                                             ; disable Telnet

; Drives
M569 P0 S1                                             ; physical drive 0 goes forwards
M569 P1 S1                                             ; physical drive 1 goes forwards
M569 P2 S1                                             ; physical drive 2 goes forwards
M569 P3 S1                                             ; physical drive 3 goes forwards
M584 X0 Y1 Z2 E3                                       ; set drive mapping
M350 X32 Y32 Z32 E32 I0                                ; configure microstepping without interpolation
M92 X305.50 Y160.80 Z305.00 E280.00                    ; set steps per mm
M566 X600.00 Y600.00 Z600.00 E300.00                   ; set maximum instantaneous speed changes (mm/min)
M203 X7200.00 Y7200.00 Z7200.00 E3000.00               ; set maximum speeds (mm/min)
M201 X1200.00 Y1200.00 Z1000.00 E1200.00               ; set accelerations (mm/s^2)
M906 X1200 Y1200 Z1800 E1200                           ; set motor currents (mA)
M84 S0                                                 ; Disable motor idle current reduction

; Axis Limits
M208 X0 Y0 Z0 S1                                       ; set axis minima
M208 X142 Y145 Z142 S0                                 ; set axis maxima

; Endstops
M574 X1 S1 P"xstop"                                    ; configure active-high endstop for low end on X via pin xstop
M574 Y1 S1 P"ystop"                                    ; configure active-high endstop for low end on Y via pin ystop

; Z-Probe
M558 P0 H5 F120 T6000                                  ; disable Z probe but set dive height, probe speed and travel speed
M557 X20:120 Y20:120 S20                               ; define mesh grid

; Heaters
M308 S0 P"bedtemp" Y"thermistor" T100000 B4092         ; configure sensor 0 as thermistor on pin bedtemp
M950 H0 C"bedheat" T0                                  ; create bed heater output on bedheat and map it to sensor 0
M307 H0 B1 S1.00                                       ; enable bang-bang mode for the bed heater and set PWM limit
M140 H0                                                ; map heated bed to heater 0
M143 H0 S150                                           ; set temperature limit for heater 0 to 150C
M308 S1 P"e0temp" Y"thermistor" T100000 B4725 C7.06e-8 ; configure sensor 1 as thermistor on pin e0temp
M950 H1 C"e0heat" T1                                   ; create nozzle heater output on e0heat and map it to sensor 1
M307 H1 B0 S1.00                                       ; disable bang-bang mode for heater  and set PWM limit

; Fans
M950 F0 C"fan0" Q500                                   ; create fan 0 on pin fan0 and set its frequency
M106 P0 S0 H-1                                         ; set fan 0 value. Thermostatic control is turned off
M950 F1 C"fan1" Q500                                   ; create fan 1 on pin fan1 and set its frequency
M106 P1 S1 H1 T55                                      ; set fan 1 value. Thermostatic control is turned on

; Tools
M563 P0 D0 H1 F0                                       ; define tool 0
G10 P0 X0 Y0 Z0                                        ; set tool 0 axis offsets
G10 P0 R0 S0                                           ; set initial tool 0 active and standby temperatures to 0C

; Custom settings are not defined

